html, body {
  margin: 0px;
  font-family: main, sans-serif;
  overflow: hidden;
}

@font-face {
  font-family: main;
  src: url(Oswald.ttf);
}

/* width */

::-webkit-scrollbar {
  width: 5px;
}

/* Track */

::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.1);
}

/* Handle */

::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.3);
}

/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 0, 0, 0.4);
}

.menu {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  color: #fff;
  text-align: center;
  transition-duration: 0.2s;
}

.title {
  text-transform: uppercase;
  font-size: 30px;
  text-align: center;
  margin-bottom: 20px;
  color: #fff;
}

.logo {
  width: 400px;
}

.centerblock {
  transform-origin: 50vw 50vh;
  font-size: 0px;
  position: absolute;
  top: 0px;
  left: 0px;
  display: inline-block;
  transform: scale(0.7) translateY(calc(50%)) translateX(calc(50%));
  text-align: center;
  transition-duration: 0.2s;
}

.mainmenubtn {
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 16px;
  text-transform: uppercase;
  padding: 10px 15px;
  background: #f1b83d;
  color: #fff;
  margin-bottom: 10px;
  display: inline-block;
  width: 230px;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition-duration: 0.1s;
  border-bottom: 5px solid #a77b1d;
}

.mainmenubtn:hover {
  background: #d19e30;
}

.mainmenubtn2 {
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 16px;
  text-transform: uppercase;
  padding: 10px 15px;
  color: #fff;
  margin-bottom: 10px;
  display: inline-block;
  width: 230px;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition-duration: 0.1s;
  background: #3dbff1;
  border-bottom: 5px solid #1a84ad;
}

.mainmenubtn2:hover {
  background: #31a0cc;
}

.usernamev {
  border-radius: 5px;
  box-sizing: border-box;
  font-family: main, sans-serif;
  padding: 10px 15px;
  background: #fff;
  color: #333;
  font-size: 16px;
  outline: none;
  width: 230px;
  border: none;
  border-bottom: 5px solid #ccc;
  display: inline-block;
  height: 49px;
  position: relative;
  cursor: default;
  margin-bottom: 10px;
}

.profileedit {
  transition-duration: 0.2s;
  border-radius: 5px;
  background: #eee;
  box-sizing: border-box;
  font-size: 16px;
  color: #fff;
  text-transform: uppercase;
  height: 25px;
  width: 25px;
  display: inline-block;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition-duration: 0.1s;
  margin-bottom: 10px;
  position: absolute;
  right: 12px;
}

.profileedit:hover {
  filter: brightness(0.9);
}

.opentexts {
  transition-duration: 0.2s;
  border-radius: 5px;
  background: #eee;
  box-sizing: border-box;
  font-size: 16px;
  color: #fff;
  text-transform: uppercase;
  height: 25px;
  width: 25px;
  display: inline-block;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition-duration: 0.1s;
  margin-bottom: 10px;
  position: absolute;
  display: inline-block;
  left: 12px;
}

.opentexts:hover {
  filter: brightness(0.9);
}

.btngspacer {
  height: 20px;
}

.ico_30 {
  height: 15px;
}

.settingsico {
  height: 18px;
  margin-top: 2px;
}

.smallmmbtnb {
  vertical-align: top;
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 12px;
  text-transform: uppercase;
  padding: 8px 12px;
  color: #fff;
  display: inline-block;
  height: 39px;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition-duration: 0.1s;
  background: #3dbff1;
  border-bottom: 5px solid #1a84ad;
}

.smallmmbtnb:hover {
  background: #31a0cc;
}

.belowfxda {
  position: fixed;
  bottom: 10px;
  left: 10px;
}

.belowfxdar {
  position: fixed;
  bottom: 10px;
  right: 10px;
}

.ilbtntxt {
  display: inline-block;
}

.paratg {
  width: 100%;
  font-size: 16px;
  text-align: left;
}

.accountpage {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: #222;
  text-align: center;
  padding: 20px 10px;
  z-index: 500;
  transition-duration: 0.2s;
  color: #fff;
  background: linear-gradient(45deg, #533877, #4e7d9e);
}

.messagespage {
  text-align: left;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: #222;
  z-index: 500;
  transition-duration: 0.2s;
  color: #fff;
  background: linear-gradient(45deg, #533877, #4e7d9e);
}

.accountiptf {
  cursor: text;
  text-align: left;
  display: inline-block;
  border-radius: 5px;
  box-sizing: border-box;
  -webkit-border-radius: 5px;
  font-family: main, sans-serif;
  padding: 10px 15px;
  height: 49px;
  width: 230px;
  background: #fff;
  color: #333;
  font-size: 16px;
  outline: none;
  border: none;
  border-bottom: 5px solid #ccc;
  margin-bottom: 2px;
}

.accountiptf::placeholder {
  color: #ccc;
}

.acctfplaceholder {
  color: #ccc;
  position: absolute;
  transform: translateX(-215px) translateY(10px);
  user-select: none;
  -webkit-user-select: none;
  cursor: text;
  transition-duration: 0.2s;
}

.jsutxtl {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 4px;
  margin-bottom: 10px;
}

.accountcenterblock {
  position: absolute;
  top: 0px;
  left: 0px;
  transform: scale(1) translateY(calc(50vh - 50%)) translateX(calc(50vw - 50%));
}

.msgsbl {
  position: absolute;
  top: 50px;
  left: 0px;
  width: 250px;
  height: calc(100% - 50px);
  background: #00000020;
}

.msgscr {
  position: absolute;
  top: 50px;
  left: 250px;
  width: calc(100% - 250px);
  height: calc(100% - 50px);
  overflow-y: scroll;
}

.msgnavbar {
  background: #ffffff30;
  height: 50px;
}

.ctbtxt {
  display: inline-block;
  text-transform: uppercase;
  padding-top: 13px;
  vertical-align: top;
}

.closechatbtn {
  cursor: pointer;
  margin: 8px 12px 0px 10px;
  padding: 6px 0px 0px 10px;
  vertical-align: top;
  box-sizing: border-box;
  width: 35px;
  height: 35px;
  display: inline-block;
  border-radius: 20px;
  transition-duration: 0.2s;
}

.closechatbtn:hover {
  background: #ffffff30;
}

.addchatbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  margin: 8px 12px 0px 10px;
  padding: 6px 14px 0px 10px;
  vertical-align: top;
  box-sizing: border-box;
  min-width: 35px;
  height: 35px;
  display: inline-block;
  border-radius: 20px;
  transition-duration: 0.2s;
}

.addchatbtn:hover {
  background: #ffffff30;
}

.addbtntxt {
  margin-left: 5px;
  display: inline-block;
  text-transform: uppercase;
}

.addchatpopup {
  visibility: hidden;
  opacity: 0px;
  transform: translateY(100%);
  transition-duration: 0.2s;
  position: fixed;
  top: calc(50% - 60px);
  left: calc(50% - 100px);
  width: 200px;
  height: 140px;
  background: #fff;
  box-sizing: border-box;
  border-radius: 0px;
  padding: 15px 10px;
  text-align: center;
  box-shadow: 0px 1px 30px 0px rgba(0, 0, 0, 0.2);
  z-index: 200;
  border-radius: 10px;
}

.addchattf {
  border-radius: 0px;
  -webkit-border-radius: 0px;
  border: none;
  outline: none;
  border-bottom: 1px solid #ced3ea;
  padding: 4px 4px;
  color: #333;
  font-family: main, sans-serif;
  font-size: 16px;
  width: 180px;
}

.addchattf::placeholder {
  color: #858fb8;
  font-family: main, sans-serif;
  font-size: 16px;
}

.addchatcancelbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #fff;
  color: #333;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.addchatfinalbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #505a8a;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.addchatfinalbtn:hover {
  background: #9099c5;
}

.addchatcancelbtn:hover {
  background: #eee;
}

.addchaterr {
  height: 16px;
  color: #dd635e;
  font-size: 14px;
  margin: 5px 0px 8px 0px;
}

.chatlist {
  overflow-y: auto;
  height: calc(100% - 40px);
  width: 100%;
}

.menubarmsgs {
  height: 50px;
  display: inline-block;
  width: 100%;
}

.chat {
  height: 65px;
  cursor: pointer;
  box-sizing: border-box;
  padding: 15px 0px 0px 15px;
  transition-duration: 0.2s;
}

.chat:hover {
  background: #ffffff21;
}

.chatsel {
  background: #00000021;
}

.msgbblo {
  background: #00000030;
  border-radius: 18px 18px 18px 2px;
  padding: 5px 10px;
  display: inline-block;
  text-align: left;
}

.msgbbly {
  background: #ffffff30;
  border-radius: 18px 18px 2px 18px;
  padding: 5px 10px;
  display: inline-block;
  text-align: left;
}

.msgbo {
  text-align: left;
  padding: 10px;
}

.msgby {
  text-align: right;
  padding: 10px;
}

.tfsendb {
  border-radius: 0px;
  -webkit-border-radius: 0px;
  border: none;
  outline: none;
  padding: 10px 16px;
  box-sizing: border-box;
  color: #333;
  width: calc(100% - 45px);
  font-family: main, sans-serif;
  font-size: 16px;
}

.sendbcdb {
  overflow: hidden;
  -webkit-overflow: hidden;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  background: #fff;
  position: fixed;
  bottom: 10px;
  width: calc(80% - 250px);
  right: 10%;
}

.sendbtn {
  padding: 10px;
  display: inline-block;
  cursor: pointer;
}

.sendbtnico {
  height: 16px;
  filter: brightness(0.5);
  transition-duration: 0.2s;
}

.sendbtn:hover .sendbtnico {
  filter: brightness(0.2);
}

.sendinvitepopup {
  visibility: hidden;
  opacity: 0px;
  transform: translateY(100%);
  transition-duration: 0.2s;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  box-sizing: border-box;
  border-radius: 0px;
  padding: 15px 10px;
  text-align: center;
  box-shadow: 0px 1px 30px 0px rgba(0, 0, 0, 0.2);
  z-index: 200;
}

.sendinvitetf {
  border-radius: 0px;
  -webkit-border-radius: 0px;
  border: none;
  outline: none;
  border-bottom: 5px solid #e4e4e4;
  padding: 8px 12px;
  background: #f5f5f5;
  border-radius: 5px;
  color: #333;
  font-family: main, sans-serif;
  font-size: 16px;
  width: 180px;
}

.sendinvitetf::placeholder {
  color: #afafaf;
  font-family: main, sans-serif;
  font-size: 16px;
}

.sendinvitecancelbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #fff;
  color: #333;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.sendinvitefinalbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #505a8a;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.sendinvitefinalbtn:hover {
  background: #9099c5;
}

.sendinvitecancelbtn:hover {
  background: #eee;
}

.declineinvitebtn {
  margin-left: 10px;
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #fff;
  color: #333;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.acceptinvitebtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #505a8a;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.acceptinvitebtn:hover {
  background: #9099c5;
}

.declineinvitebtn:hover {
  background: #eee;
}

.sendinviteerr {
  height: 16px;
  color: #dd635e;
  font-size: 14px;
  margin: 5px 0px 8px 0px;
}

.invcontent {
  transform: translateY(calc(50vh - 50%));
}

.invcomp {
  transform: translateY(calc(50vh - 50%));
}

.notification {
  position: fixed;
  top: 0px;
  padding: 20px;
  text-align: center;
  z-index: 30;
  transition-duration: 0.2s;
  width: 100%;
}

.nottxt {
  background: #fff;
  color: #333;
  display: inline-block;
  padding: 10px 15px;
  min-width: 100px;
  max-width: 80vw;
  border-radius: 10px;
  box-shadow: 0px 1px 20px 0px rgba(0, 0, 0, 0.2);
}

.msgswd {
  padding-bottom: 100px;
}

.inftitle {
  font-size: 20px;
  padding: 10px;
  user-select: none;
  -webkit-user-select: none;
}

.inftdg {
  font-size: 14px;
  color: #333;
  margin-top: 4px;
}

.gameins {
  z-index: 2;
  visibility: hidden;
  opacity: 0px;
  position: fixed;
  top: 16px;
  margin-top: env(safe-area-inset-top);
  left: 0px;
  transform: translateX(calc(50vw - 50%)) translateY(10px);
  font-size: 24px;
  text-transform: uppercase;
  transition-duration: 0.2s;
  color: #ffffff;
  box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.1);
  background: #00000024;
  padding: 10px;
  border-radius: 10px;
}

.opponentscoredp {
  opacity: 0;
  position: fixed;
  bottom: 0px;
  left: 0px;
  padding: 10px 20px;
  border-top-right-radius: 30px;
  background: #ffffff29;
  color: #fff;
  box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.1);
}

.yourscoredp {
  opacity: 0;
  position: fixed;
  bottom: 0px;
  right: 0px;
  padding: 10px 20px;
  border-top-left-radius: 30px;
  background: #ffffff29;
  color: #fff;
  box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.1);
}
.scrdpt {
  display: inline-block;
  text-align: center;
  margin: 0px 10px;
  overflow: hidden;
  text-overflow: ellipsis;
}
.scprntoutyou {
  font-size: 30px;
  display: inline-block;
  text-align: center;
}

.scprntoutopp {
  font-size: 30px;
  display: inline-block;
  text-align: center;
}

.gameoverw {
  background: #fff;
  color: #333;
  padding: 10px;
  position: fixed;
  top: 0px;
  left: 0px;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  opacity: 0px;
  visibility: hidden;
  pointer-events: none;
}

.gameoverttl {
  font-size: 30px;
  padding: 10px;
}

.centermgo {
  display: inline-block;
  text-align: center;
  transform: translateX(calc(50vw - 50%)) translateY(calc(50vh - 50%));
}

.gameoverdsc {
  margin-bottom: 10px;
}

.numroundsbtn {
  border-bottom: 4px solid #ffffff00;
  cursor: pointer;
  margin-left: 2px;
  display: inline-block;
  padding: 5px 10px;
  box-sizing: border-box;
  border-radius: 5px;
  color: #b9b9b9;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-size: 14px;
  transition-duration: 0.2s;
  user-select: none;
  -webkit-user-select: none;
}

.numroundsbtn:hover {
  background: #eee;
  color: #888;
}

.gridsizebtn {
  border-bottom: 4px solid #ffffff00;
  cursor: pointer;
  margin-left: 2px;
  display: inline-block;
  padding: 5px 10px;
  box-sizing: border-box;
  border-radius: 5px;
  color: #b9b9b9;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-size: 14px;
  transition-duration: 0.2s;
  user-select: none;
  -webkit-user-select: none;
}

.gridsizebtn:hover {
  background: #eee;
  color: #888;
}

.btnactive {
  background: #f1cc5f !important;
  border-bottom: 4px solid #dcb951;
  color: #fff !important;
}

.btngttl {
  margin-top: 10px;
  font-size: 14px;
  text-transform: uppercase;
  color: #4b4b4b;
  margin-bottom: 5px;
}

.acceptinvitebtnfmsg {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #ffffff1f;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 19px;
  margin: 5px;
}

.leavegamebtn {
  text-transform: uppercase;
  position: fixed;
  top: 5px;
  left: 5px;
  margin-top: env(safe-area-inset-top);
  padding: 5px 10px;
  display: none;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 14px;
  user-select: none;
  -webkit-user-select: none;
  transition-duration: 0.2s;
  box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.0);
}

.leavegamebtn:hover {
  background: #ffffff30;
  box-shadow: 0px 5px 14px 0px rgba(0, 0, 0, 0.3);
}

.canvas {
  user-select: none;
  -webkit-user-select: none;
}

.standardfinalbtn {
  user-select: none;
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #f1cc5f;
  border-bottom: 5px solid #dcb951;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.standardfinalbtn:hover {
  background: #e6c35c;
}

.standardcancelbtn {
  -webkit-user-select: none;
  cursor: pointer;
  padding: 8px 15px;
  background: #6fd2ff;
  border-bottom: 5px solid #4fadd8;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  margin-right: 2px;
  display: inline-block;
  width: 70px;
  box-sizing: border-box;
  transition-duration: 0.2s;
  border-radius: 5px;
}

.standardcancelbtn:hover {
  background: #5dbbe7;
}

.lbcontent {
  font-size: 14px;
  height: calc(50vh - 100px);
  width: 100%;
  max-width: 300px;
  box-sizing: border-box;
  /* display: inline-block; */
  margin-bottom: 35px;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  color: #333;
}

.lbp {
  text-align: left;
  margin-bottom: 10px;
  border-radius: 5px;
  overflow: hidden;
  width: 80%;
  display: inline-block;
}

.posnumlb {
  vertical-align: top;
  display: inline-block;
  background: #f1b83d;
  border-bottom: 5px solid #d19e30;
  color: #fff;
  padding: 10px;
  height: 45px;
  box-sizing: border-box;
  width: 32px;
}

a {
  color: #ffffffaf;
}

.leaderboardelem {
  font-size: 16px;
  height: 45px;
  box-sizing: border-box;
  background: #fff;
  border-bottom: 5px solid #ccc;
  width: calc(100% - 32px);
  vertical-align: top;
  display: inline-block;
}

.lbusrname {
  display: inline-block;
  padding: 8px 10px;
}

.scorelb {
  float: right;
  padding: 8px 10px;
}

.desctxt {
  font-size: 14px;
  display: inline-block;
  max-width: 240px;
  text-align: left;
  margin-bottom: 20px;
}

.ndiag {
  visibility: hidden;
  opacity: 0px;
  transform: translateY(100%);
  transition-duration: 0.2s;
  position: fixed;
  top: calc(50% - 60px);
  left: calc(50% - 100px);
  width: 200px;
  height: 140px;
  background: #fff;
  box-sizing: border-box;
  border-radius: 0px;
  padding: 15px 10px;
  text-align: center;
  box-shadow: 0px 1px 106px 0px rgba(0, 0, 0, 0.3);
  z-index: 200;
  border-radius: 10px;
}

.ncntnt {
  font-size: 14px;
  margin-bottom: 10px;
}

.paratg {
  height: 40vh;
  overflow-y: auto;
  margin-bottom: 60px;
  padding: 10px;
  box-sizing: border-box;
}

.joinlinkc {
  padding: 10px 20px;
  margin-bottom: 10px;
  border-radius: 5px;
  border-bottom: 5px solid #ccc;
  background: #eee;
}

.desctxtj {
  max-width: 240px;
  display: inline-block;
  font-size: 14px;
  color: #555;
  margin-bottom: 10px;
}

.fieldinfo {
  color: #fff;
  font-size: 14px;
  margin-bottom: 10px;
}

@media only screen and (max-width: 400px) {
  .logo {
    width: 300px;
  }

}